# FoundationClasses
TKernel
TColStd

# TColStd_HArray1OfAsciiString Class Reference

`#include <TColStd_HArray1OfAsciiString.hxx>`

Inheritance diagram for TColStd_HArray1OfAsciiString:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HArray1OfAsciiString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_HArray1OfAsciiString (const Standard_Integer Low, const Standard_Integer Up, const TCollection_AsciiString &V)
Standard_EXPORT void | Init (const TCollection_AsciiString &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TCollection_AsciiString &Value)
const TCollection_AsciiString & | Value (const Standard_Integer Index) const
TCollection_AsciiString & | ChangeValue (const Standard_Integer Index)
const TColStd_Array1OfAsciiString & | Array1 () const
TColStd_Array1OfAsciiString & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfAsciiString | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HArray1OfAsciiString::TColStd_HArray1OfAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_HArray1OfAsciiString::TColStd_HArray1OfAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const TCollection_AsciiString & | V
| ) |

## Member Function Documentation

const TColStd_Array1OfAsciiString& TColStd_HArray1OfAsciiString::Array1 | ( |  | ) | const

TColStd_Array1OfAsciiString& TColStd_HArray1OfAsciiString::ChangeArray1 | ( |  | ) |

TCollection_AsciiString& TColStd_HArray1OfAsciiString::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TColStd_HArray1OfAsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HArray1OfAsciiString::Init | ( | const TCollection_AsciiString & | V | ) |

Standard_Integer TColStd_HArray1OfAsciiString::Length | ( |  | ) | const

Standard_Integer TColStd_HArray1OfAsciiString::Lower | ( |  | ) | const

void TColStd_HArray1OfAsciiString::SetValue | ( | const Standard_Integer | Index,
|  | const TCollection_AsciiString & | Value
| ) |

Standard_Integer TColStd_HArray1OfAsciiString::Upper | ( |  | ) | const

const TCollection_AsciiString& TColStd_HArray1OfAsciiString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TColStd_Array1OfAsciiString TColStd_HArray1OfAsciiString::myArray `[private]`

The documentation for this class was generated from the following file:

- TColStd_HArray1OfAsciiString.hxx